## CamelMimeFilterToHTML

CamelMimeFilterToHTML

## Functions

CamelMimeFilter * | camel_mime_filter_tohtml_new ()
gchar * | camel_text_to_html ()

## Types and Values

struct | CamelMimeFilterToHTML
enum | CamelMimeFilterToHTMLFlags

## Object Hierarchy

        GObject
        ╰── CamelMimeFilter
            ╰── CamelMimeFilterToHTML

## Description

## Functions

### camel_mime_filter_tohtml_new ()

    CamelMimeFilter *
    camel_mime_filter_tohtml_new (CamelMimeFilterToHTMLFlags flags,
                                  guint32 color);

Create a new CamelMimeFilterToHTML object to convert plain text into HTML.

#### Parameters

flags | bitwise flags defining the behaviour |
color | color to use when highlighting quoted text |

#### Returns

a new CamelMimeFilterToHTML object

### camel_text_to_html ()

    gchar *
    camel_text_to_html (const gchar *in,
                        CamelMimeFilterToHTMLFlags flags,
                        guint32 color);

Convert `in` from plain text into HTML.

#### Parameters

in | input text |
flags | bitwise flags defining the html conversion behaviour |
color | color to use when syntax highlighting |

#### Returns

a newly allocated string containing the HTMLified version of `in`

## Types and Values

### struct CamelMimeFilterToHTML

    struct CamelMimeFilterToHTML;

### enum CamelMimeFilterToHTMLFlags

Flags for converting text/plain content into text/html.

#### Members

CAMEL_MIME_FILTER_TOHTML_PRE | Enclose the content in <pre> ... </pre> tags. |
CAMEL_MIME_FILTER_TOHTML_CONVERT_NL | Convert newline characters to <br> tags. |
CAMEL_MIME_FILTER_TOHTML_CONVERT_SPACES | Convert space and tab characters to a non-breaking space (&nbsp;). |
CAMEL_MIME_FILTER_TOHTML_CONVERT_URLS | Convert recognized URLs to <a href="foo">foo</a>. |
CAMEL_MIME_FILTER_TOHTML_MARK_CITATION | Color quoted lines (lines beginning with '>'). |
CAMEL_MIME_FILTER_TOHTML_CONVERT_ADDRESSES | Convert mailto: URLs to <a href="mailto:foo">mailto:foo</a>. |
CAMEL_MIME_FILTER_TOHTML_ESCAPE_8BIT | Convert 8-bit characters to escaped hexdecimal (&nnn;). |
CAMEL_MIME_FILTER_TOHTML_CITE | Prefix each line with "> ". |
CAMEL_MIME_FILTER_TOHTML_PRESERVE_8BIT | This flag is not used by CamelMimeFilterToHTML. |
CAMEL_MIME_FILTER_TOHTML_FORMAT_FLOWED | This flag is not used by CamelMimeFilterToHTML. |
CAMEL_MIME_FILTER_TOHTML_QUOTE_CITATION | Group lines beginning with one or more '>' characters in <blockquote type="cite"> ... </blockquote> tags. The tags are nested according to the number of '>' characters. |